package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_broadcast")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class BroadcastDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;
    /**
     * null
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "null", required = false)
    private Long createTime;
    /**
     * null
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "null", required = false)
    private Long updateTime;
    /**
     * 声音文件名称
     */
    @Column(name = "file_path")
    @ApiModelProperty(value = "声音文件名称", required = false)
    private String filePath;
    /**
     * 播放时间。08:00
     */
    @Column(name = "play_time")
    @ApiModelProperty(value = "播放时间。08:00", required = false)
    private String playTime;
    /**
     * 播放次数，为空时播放一次
     */
    @Column(name = "repeat_times")
    @ApiModelProperty(value = "播放次数，为空时播放一次", required = false)
    private Integer repeatTimes;
    /**
     * 播放时间，1，2，3，4，5，6，7 对应周一至周日，逗号隔开
     */
    @Column(name = "repeat_day")
    @ApiModelProperty(value = "播放时间，1，2，3，4，5，6，7 对应周一至周日，逗号隔开", required = false)
    private String repeatDay;
    /**
     * 是否启用。空和0时为启用，1时为弃用
     */
    @Column(name = "status")
    @ApiModelProperty(value = "是否启用。空和0时为启用，1时为弃用", required = false)
    private Boolean status;
    /**
     * 播放组ID，可为空，为空时全体播放
     */
    @Column(name = "group_id")
    @ApiModelProperty(value = "播放组ID，可为空，为空时全体播放", required = false)
    private Integer groupId;
    /**
     * 针对具体病床。在病床上的功能项
     */
    @Column(name = "frame_id")
    @ApiModelProperty(value = "针对具体病床。在病床上的功能项", required = false)
    private Integer frameId;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }


    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }


    public String getPlayTime() {
        return playTime;
    }

    public void setPlayTime(String playTime) {
        this.playTime = playTime;
    }


    public Integer getRepeatTimes() {
        return repeatTimes;
    }

    public void setRepeatTimes(Integer repeatTimes) {
        this.repeatTimes = repeatTimes;
    }


    public String getRepeatDay() {
        return repeatDay;
    }

    public void setRepeatDay(String repeatDay) {
        this.repeatDay = repeatDay;
    }


    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }


    public Integer getGroupId() {
        return groupId;
    }

    public void setGroupId(Integer groupId) {
        this.groupId = groupId;
    }


    public Integer getFrameId() {
        return frameId;
    }

    public void setFrameId(Integer frameId) {
        this.frameId = frameId;
    }

}
